<?php

/* Auteur : Webbax
 * http://www.webbax.ch 
 * 
 */

include(dirname(__FILE__).'/../config/config.inc.php');

if(!isset($_GET['id_lang'])){
    $lang = explode(',',$_SERVER['HTTP_ACCEPT_LANGUAGE']);
    $iso_lang = strtolower(substr(chop($lang[0]),0,2));
}else{
    $Lang = new Language(Tools::getValue('id_lang'));
    $iso_lang = $Lang->iso_code;
}

$Context = Context::getContext();
$id_shop = $Context->shop->id;
$Shop = new Shop($id_shop);

if($iso_lang=='de'){
    $txt_title = 'Setzen Sie das Administrator-Passwort';
    $txt_change_lang = 'Ändern Sie die Sprache der Benutzeroberfläche';
    $txt_account = 'Rechnung';
    $txt_firstname = 'Vorname';
    $txt_lastname = 'Name';
    $txt_email = 'Email';
    $txt_new_pass = 'Neues Passwort';
    $txt_edit = 'Bearbeiten';
    $txt_proposed_by = 'Dieses Dienstprogramm wird angeboten';
    $txt_empty_pass = 'Bitte geben Sie ein neues Kennwort';
    $txt_the_new_pass = 'Das neue Passwort für das Konto';
    $txt_is = 'ist';
    $txt_active = 'Aktiv';
}elseif($iso_lang=='en'){
    $txt_title = 'Reset the Administrator password';
    $txt_change_lang = 'Change the interface language';
    $txt_account = 'Account';
    $txt_firstname = 'First name';
    $txt_lastname = 'Name';
    $txt_email = 'Email';
    $txt_new_pass = 'New password';
    $txt_edit = 'Edit';
    $txt_proposed_by = 'This utility is offered by';
    $txt_empty_pass = 'Please enter a new password';
    $txt_the_new_pass = 'The new password for the account';
    $txt_is = 'is';
    $txt_active = 'Active';
}elseif($iso_lang=='it'){
    $txt_title = 'Resettare la password di amministratore';
    $txt_change_lang = 'Cambiare la lingua \'s interfaccia';
    $txt_account = 'Acconto';
    $txt_firstname = 'Nome';
    $txt_lastname = 'Nome';
    $txt_email = 'Email';
    $txt_new_pass = 'Nuova password';
    $txt_edit = 'Modifica';
    $txt_proposed_by = 'Questa utility è offerto da';
    $txt_empty_pass = 'Si prega di inserire una nuova password';
    $txt_the_new_pass = 'La nuova password per l\'account';
    $txt_is = 'è';
    $txt_active = 'Attiva';
}else{
    $txt_title = 'Réinitialiser le mot de passe Administrateur';
    $txt_change_lang = 'Modifier la langue de l\'interface';
    $txt_account = 'Compte';
    $txt_firstname = 'Prénom';
    $txt_lastname = 'Nom';
    $txt_email = 'Email';
    $txt_new_pass = 'Nouveau mot de passe';
    $txt_edit = 'Modifier';
    $txt_proposed_by = 'Cet utilitaire vous est proposé par';
    $txt_empty_pass = 'Veuillez indiquer un nouveau mot de passe';
    $txt_the_new_pass = 'Le nouveau mot de passe pour le compte';
    $txt_is = 'est à présent';
    $txt_active = 'Actif';
}

$Lang = new Language();
$langs = $Lang->getLanguages();
$flags = '<span>'.$txt_change_lang.'</span> : ';
foreach($langs as $l){
    $flags.='<a href="'.$Shop->getBaseURL().'password/index.php?id_lang='.$l['id_lang'].'"><img src="'.$Shop->getBaseURL().'img/l/'.$l['id_lang'].'.jpg"/></a>&nbsp;';
}

echo '
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html>
<head>
    <title>Prestashop Password Recovery</title>
    ';
    // PS 1.5
    if(substr(_PS_VERSION_,0,3)<1.6){
        echo '<link media="all" type="text/css" rel="stylesheet" href="../themes/default/css/global.css" />';
    // PS 1.7
    }elseif(substr(_PS_VERSION_,0,3)==1.7){
        echo '<link media="all" type="text/css" rel="stylesheet" href="../themes/classic/assets/css/theme.css" />';
     // PS 1.6 et autres    
    }else{    
        echo '<link media="all" type="text/css" rel="stylesheet" href="../themes/default-bootstrap/css/global.css" />';
    }
    echo '
</head>
<body>

<style>
   
    #content{width:800px;}
    #content_page{border:1px solid #dedfe0;padding:20px}
    table{width:100%;}
    .icon_middle{vertical-align:middle;}

    .table_account{background:#e6e6e6;margin-right:10px;width:360px;}
    .table_account th{background-color:#c5c5c5;text-transform:uppercase;text-align:center;font-weight:bold;line-height:20px;}
    .table_account td{padding:2px;}   
    
    .line_pass{background-color:#f4f4f4;}
    .line_pass td{padding-right:10px;}
    .line_pass td input[type=text]{width:100%;margin-top:10px;}
    
    .msg_conf{background-color:#c8f3d0;padding:10px;color:#316709;}
    .msg_error{background-color:#f9e0e5;padding:10px;color:#CC0000;}';
    
    // PS 1.6 & +
    if(substr(_PS_VERSION_,0,3)>=1.6){
        echo '.btn_edit{margin-left:0;margin-top:10px;}';
    }
    
    echo '
</style>

<div id="main" align="center">
    <div id="content">
        <a href="http://www.webbax.ch"><img src="logo.jpg" /></a>
        <h1 style="background:none">'.$txt_title.'</h1>
        '.$flags.'<br/>
        <br/>
        <div id="content_page">';
            if(Tools::isSubmit('updatePassword')){
                $email = Tools::getValue('email');
                $new_password = Tools::getValue('password');
                $new_password_encrypt = Tools::encrypt(Tools::getValue('password'));
                if(empty($new_password)){
                    echo '<div class="msg_error"><img src="'.$Shop->getBaseURL().'password/img/no.png" class="icon_middle" /> '.$txt_empty_pass.'</div><br/>';
                }else{
                    Db::getInstance()->Execute('UPDATE `'._DB_PREFIX_.'employee` SET `passwd`="'.pSQL($new_password_encrypt).'" WHERE `email`="'.pSQL($email).'"');
                    echo '<div class="msg_conf"><img src="'.$Shop->getBaseURL().'password/img/ok.png" class="icon_middle" /> '.$txt_the_new_pass.' '.$email.' '.$txt_is.' : <strong>'.$new_password.'</strong></div><br/>';
                }
            }

            $employees = Db::getInstance()->ExecuteS('SELECT * FROM '._DB_PREFIX_.'employee');
            echo '<table class="table">';
            foreach($employees as $employe){
            echo '<tr class="line_pass">
                    <td>
                        <table class="table_account">
                            <tr><th>------- '.$txt_account.' -------</th></tr>
                            <tr><td>
                                <table>
                                    <tr><td>'.$txt_firstname.'</td><td>&nbsp; : '.$employe['firstname'].'</td></tr>
                                    <tr><td>'.$txt_lastname.'</td><td>&nbsp; : '.$employe['lastname'].'</td></tr>
                                    <tr><td>'.$txt_email.'</td><td>&nbsp; : '.$employe['email'].'</td></tr>
                                    <tr><td>'.$txt_active.'</td><td>&nbsp; : '.$employe['active'].'</td></tr>
                                </table>
                            </td></tr>
                        </table>
                    </td>
                    <td>
                        <form method="post" action="">'.
                            $txt_new_pass.' :
                            <input type="hidden" name="email" value="'.$employe['email'].'"/>
                            <input type="text" name="password" />
                            <input type="submit" value="'.$txt_edit.'" name="updatePassword" class="btn_edit btn btn-default" />
                        </form>
                    </td>
                </tr>';
            }
            echo '</table>
        </div>
        <br/>
        '.$txt_proposed_by.' <a href="http://www.webbax.ch" class="link"><u>Webbax</u></a>
    </div>
</div>
</body>
</html>';
            
?>